var produkty = new Array( 
	new Produkt("Maslo", 5.00), 
	new Produkt("Gazeta", 2.49), 
	new Produkt("Bulka", 0.30), 
	new Produkt("Durex", 9.98) 
);
var koszyk = new Array;

function Produkt(nazwa, cena){
	this.nazwa = nazwa;
	this.cena = cena;
	this.ilosc = 0;
}

Produkt.prototype.listaProd = function(){
	var html = "";
	html += "<div class='produkt'>"
	html += "<div class='ll'>" + this.nazwa + " </div>";
	html += "<div class='ll'>" + this.cena.toFixed(2) + "/szt.</div>";
	html += "<div class='rr'><input type='text' id='ilosc"+this.nazwa+"' /><a href='#' id='"+this.nazwa+"'>do koszyka</a></div>";
	html += "</div>";
	return html;
}

function isInt(liczba){
	return liczba == Math.round(liczba);
}

function dodajProdukt(nazwa){
	var jest = false;
	var ilosc = document.getElementById("ilosc"+nazwa).value;
	if(ilosc == 0 || !isInt(ilosc)){
		alert("Podaj poprawną ilosc produktow!");
	}else{
		for(var i in koszyk){
			if(koszyk[i].nazwa == nazwa){
				koszyk[i].ilosc = ilosc;
				jest = true;
			}
		}
	
		if(jest == false){
			for(var i in produkty){
				if(produkty[i].nazwa == nazwa){
					var prod = produkty[i];
					prod.ilosc = ilosc;
					koszyk.push(prod);
				}
			}
		}
		drukujKoszyk();
	}
}

function drukujProdukty(){
	var html = "";
	
	for(var i=0; i<produkty.length; i++){
		html += produkty[i].listaProd();
	}
	
	var lista = document.getElementById("produkty");
	var link = lista.getElementsByTagName("a");
	
	lista.innerHTML = html;
	for(var i in link){
		link[i].onclick = function(){ dodajProdukt(this.id); }
	}
}

window.onload = function(){
	drukujProdukty();
}